<?php
/**
 *
 * Customized Quick links. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Galandas, http://phpbb3world.altervista.org
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace galandas\cquicklinks\acp;

/**
 * Customized Quick links ACP module info.
 */
class cquick_links_info
{
	public function module()
	{
		return array(
			'filename'	=> '\galandas\cquicklinks\acp\cquick_links_module',
			'title'		=> 'ACP_NAVBAR_MENU_TITLE',
			'modes'		=> array(
				'settings'	=> array(
					'title'	=> 'ACP_CAT_NAVBAR_MENU',
					'auth'	=> 'ext_galandas/cquicklinks && acl_a_board',
					'cat'	=> array('ACP_NAVBAR_MENU_TITLE')
				),
			),
		);
	}
}
