<?php
/**
 *
 * Customized Quick links. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Galandas, http://phpbb3world.altervista.org
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace galandas\cquicklinks\migrations;

class install_user_schema extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v314');
	}

	public function update_schema()
	{
		return array(
			'add_tables'	=> array(
				$this->table_prefix . 'quick_links'	=> array(
					'COLUMNS'		=> array(
					'quick_links_id'	 => array('TINT:8', NULL, 'auto_increment'),
					'quick_links_name'	 => array('VCHAR', ''),
					'quick_links_url'	 => array('VCHAR', ''),
					'quick_links_image'	 => array('VCHAR', ''),
					),
					'PRIMARY_KEY'	=> 'quick_links_id',
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_tables'		=> array(
				$this->table_prefix . 'quick_links',
			),
		);
	}
}
