<?php
/**
 *
 * Customized Quick links. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Galandas, http://phpbb3world.altervista.org
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_NAVBAR_MENU_TITLE'							=> 'Customized Quick links',
	'ACP_CAT_NAVBAR_MENU'							=> 'Configuration',
	'NAVBAR_MENU_INTRO'								=> 'This is configuration page for the Customized Quick links Extension by Galandas',
	'NAVBAR_MENU_DONATE'							=> '<a href="https://www.paypal.me/Galandas"><strong>Donate</strong></a>',
	'NAVBAR_MENU_DONATE_EXPLAIN'					=> 'If you like this extension considers a donation offer a pizza',
	'NAVBAR_MENU_BUTTON'							=> 'Add Image',	
	'NAVBAR_MENU_VERSION'							=> 'Version',
	'NAVBAR_MENU_CHECK'								=> 'Check Manually <a href="http://phpbb3world.altervista.org/community/viewtopic.php?f=68&t=2418&p=3991#p3991"><strong>Update</strong></a>',	
	'NAVBAR_MENU_EDIT'								=> 'Edit link',
	'NAVBAR_MENU_ADD'								=> 'Add new link',
	'NAVBAR_MENU_NAME'								=> 'Name',
	'NAVBAR_MENU_NAME_EXPLAIN'						=> 'Insert the name of new link',
	'NAVBAR_MENU_URL'								=> 'URL',
	'NAVBAR_MENU_URL_EXPLAIN'						=> 'Insert the link you want',
	'NAVBAR_MENU_IMAGE'								=> 'Image',
	'NAVBAR_MENU_IMAGE_EXPLAIN'						=> 'Enter the Name of the image of the new link. Beside here you will find the button <strong>[Add Image]</strong> clicking on it will open a page where you can choose an image to associate with the new link, simply copy and paste the name of the image, example (fa-joomla). Result <i class="fa fa-joomla fa-2x" aria-hidden="true"></i>',
	'NAVBAR_MENU_NAME_2'							=> 'Name of the link',
	'NAVBAR_MENU_IMAGE_2'							=> 'Image of the link',
	'NAVBAR_MENU_URL_2'								=> 'URL of the link',
	'NAVBAR_MENU_COPYRIGHT'							=> 'Extension Customized Quick links by <a href="http://phpbb3world.altervista.org">Galandas</a>',
	'NAVBAR_MENU_ADDED'								=> 'New link has been added!',
	'NAVBAR_MENU_UDPATED'							=> 'Link has been updated!',
	'NAVBAR_MENU_ENABLE'							=> 'Enable',
	'NAVBAR_MENU_ENABLE_EXPLAIN'					=> 'Enable Customized Quick links in your forum.',
	'NAVBAR_MENU_CONF_UDPATED'						=> 'Customized Quick links configuration was succesfully updated!',
	'NAVBAR_MENU_ERROR'								=> 'Customized Quick links setting error',
	'ACP_NO_LINK'									=> 'There are no links yet.',
	//Add permissions acp Customized Quick links	
	'ACL_A_QUIKLINK'		=> 'Can manage Customized Quick links',	
));
